Overview
GET
/access/team-permissions/{id}accessGet team_permissions by id
Fetch a record from team-permissions by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
team_permissions
- idstring
- ecosystemIdstring
- teamIdstring
- permissionstring
- grantedBystring?
- grantedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"teamId": "string",
"permission": "string",
"grantedBy": "string",
"grantedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/access/team-permissions/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/team-permissions/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();